let EVN_CONFIG = require('../env/env');
// const DISTRIBUTE_ENVIROMENT = 'PROD';
const DISTRIBUTE_ENVIROMENT = 'DEV';

let {
    URL_PREFIX,
} = EVN_CONFIG[DISTRIBUTE_ENVIROMENT];
//用户登录页面，接口检测用户token失效，需跳转重新登录
const USER_LOGIN_PAGE_PATH='/pages/user/login/login';
//接口成功
const SUCCESS_CODE = 200;
//微信登陆失效
const INVALID_USER_TOKEN_CODE = '001007';


/****************接口提示信息start ****************/
const MSG_FAIL_HTTP = '获取数据失败 fail';
const MSG_ERROR_HTTP = '获取数据失败 error';
const MSG_FALSE_HTTP = '获取数据失败 false';
const MSG_NONE_HTTP = '暂无数据';

const MSG_FALSE_TO = '提交失败，请重试';
const MSG_ERROR_TO = '提交异常，请重试';
const MSG_INVALID_USER_TOKEN='登陆信息失效，请重新登陆';
/****************接口提示信息end****************

/****************接口地址start****************/
//获取openId
const URL_GET_OPENID=`${URL_PREFIX}/wechat/codeLogin`;
// 获取手机号解密接口
const URL_POST_DECRYPTEDWXDATA = `${URL_PREFIX}/wechat/decryptedWXData`;
// 微信绑定手机号
const URL_POST_USERBAND = `${URL_PREFIX}/register/wechat/band`;
//获取用户信息
const URL_GET_GETINFO = `${URL_PREFIX}/getInfo`;

/****************接口地址end****************/

export {
    USER_LOGIN_PAGE_PATH,
    SUCCESS_CODE,
    INVALID_USER_TOKEN_CODE,
    MSG_FAIL_HTTP,
    MSG_ERROR_HTTP,
    MSG_FALSE_HTTP,
    MSG_NONE_HTTP,
    MSG_FALSE_TO,
    MSG_ERROR_TO,
    MSG_INVALID_USER_TOKEN,
    URL_GET_OPENID,
    URL_POST_DECRYPTEDWXDATA,
    URL_POST_USERBAND,
    URL_GET_GETINFO
}